import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListDeploymentsInput,
  ListDeploymentsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface ListDeploymentsCommandInput extends ListDeploymentsInput {}
export interface ListDeploymentsCommandOutput
  extends ListDeploymentsOutput,
    __MetadataBearer {}
declare const ListDeploymentsCommand_base: {
  new (
    input: ListDeploymentsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListDeploymentsCommandInput,
    ListDeploymentsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListDeploymentsCommandInput]
  ): import("@smithy/core/client").CommandImpl<
    ListDeploymentsCommandInput,
    ListDeploymentsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class ListDeploymentsCommand extends ListDeploymentsCommand_base {
  protected static __types: {
    api: {
      input: ListDeploymentsInput;
      output: ListDeploymentsOutput;
    };
    sdk: {
      input: ListDeploymentsCommandInput;
      output: ListDeploymentsCommandOutput;
    };
  };
}
